#
# spec file for package elementary-icon-theme
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _version 4.x
Name:           elementary-icon-theme
Version:        4.0.1
Release:        1.1
Summary:        Simple and appealing Tango-styled icon theme
License:        GPL-3.0+
Group:          System/GUI/Other
Url:            https://launchpad.net/elementaryicons
Source:         https://launchpad.net/elementaryicons/%{_version}/%{version}/+download/%{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM elementary-icon-theme-chmod.patch mailaender@opensuse.org -- https://github.com/elementary/icons/pull/130
Patch0:         elementary-icon-theme-chmod.patch
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildArch:      noarch

%description
The official Elementary icons are designed to be simple and appealing,
these icons are the inspiration behind Ubuntu's default Humanity icon theme.

%prep
%setup -q
%patch0 -p1

%build
# Nothing to build.

%install
mkdir -p %{buildroot}%{_datadir}/icons/elementary/
cp -rf * %{buildroot}%{_datadir}/icons/elementary/

# Remove duplicates.
rm -f %{buildroot}%{_datadir}/icons/elementary/{AUTHORS,CONTRIBUTORS,COPYING}

%icon_theme_cache_create_ghost elementary
%fdupes %{buildroot}%{_datadir}/icons/

%post
%icon_theme_cache_post elementary

# No need for %%icon_theme_cache_postun in %%postun since the theme won't exist anymore.

%files
%defattr(-,root,root)
%doc AUTHORS CONTRIBUTORS COPYING
%{_datadir}/icons/elementary/
%ghost %{_datadir}/icons/elementary/icon-theme.cache

%changelog
* Sat Sep 10 2016 mailaender@opensuse.org
- Update to version 4.0.1:
  * No changelog available.
- Add elementary-icon-theme-chmod.patch from
  https://github.com/elementary/icons/pull/130
* Thu Aug 20 2015 sor.alexei@meowr.ru
- Update to 3.2.2.
* Sat May 16 2015 mailaender@opensuse.org
- update to 3.2.1
* Tue Dec  3 2013 sor.alexei@meowr.ru
- Update to 3.1.
* Mon May 20 2013 damianatorrpm@gmail.com
- Rebuild.
